## org.jfree.xml.util
Class MultiplexMappingEntry

    java.lang.Object
      org.jfree.xml.util.MultiplexMappingEntry

    public class MultiplexMappingEntry

extends java.lang.Object

A multiplex mapping entry.

Constructor Summary
`MultiplexMappingEntry(java.lang.String attributeValue, java.lang.String targetClass)` Creates a new instance.

Method Summary
`java.lang.String` `getAttributeValue()` Returns the attribute value.
`java.lang.String` `getTargetClass()` Returns the target class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplexMappingEntry

    public MultiplexMappingEntry(java.lang.String attributeValue,
                                 java.lang.String targetClass)

  Creates a new instance.

  Parameters:
    `attributeValue` - the attribute value.
    `targetClass` - the target class.

Method Detail

### getAttributeValue

    public java.lang.String getAttributeValue()

  Returns the attribute value.

  Returns:
    The attribute value.

### getTargetClass

    public java.lang.String getTargetClass()

  Returns the target class.

  Returns:
    The target class.